Subject: Re: [PATCH 5/7] IBM Akebono: Add support to the EHCI platform driver for Akebono

From: Alistair Popple <[email-masked]>
Date: Wed, 06 Nov 2013 14:50:28 +1100

On Wed, 6 Nov 2013 06:52:13 Benjamin Herrenschmidt wrote:

[snip]

> 
> Why ? Do we need to add an entry for every platform in there ? Besides,
> it probably should be the SoC name not the platform here....
> 
> Why not simply a generic compatible "usb-ehci" ? It's a standard
> programming interface, there are no specific quirks, we shouldn't
> need to have to add new entries to the driver like that for every
> new SoC/platform.
> 

Actually a grep of "usb-ehci" turns up the ehci-ppc-of driver which I somehow 
missed. This driver works and uses .compatible = "usb-ehci" so I can use that 
instead if that is preferable?

However it is basically the same as the ehci-platform driver so I guess at 
some point the two should be merged...

> > > @@ -229,7 +230,7 @@ static struct platform_driver ehci_platform_driver =
> > > {
> > > 
> > >  		.owner	= THIS_MODULE,
> > >  		.name	= "ehci-platform",
> > >  		.pm	= &ehci_platform_pm_ops,
> > > 
> > > -		.of_match_table = vt8500_ehci_ids,
> > > +		.of_match_table = ehci_platform_ids,
> > > 
> > >  	}
> > >  
> > >  };
> > 
> > Acked-by: Alan Stern <[email-masked]>
> > 
> > _______________________________________________
> > Linuxppc-dev mailing list
> > [email-masked]
> > https://lists.ozlabs.org/listinfo/linuxppc-dev